"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.loadGame = loadGame;
var _reactNative = require("react-native");
const LINKING_ERROR = `The package 'react-native-withframework-check' doesn't seem to be linked. Make sure: \n\n` + _reactNative.Platform.select({
  ios: "- You have run 'pod install'\n",
  default: ''
}) + '- You rebuilt the app after installing the package\n' + '- You are not using Expo Go\n';
const WithframeworkCheck = _reactNative.NativeModules.WithframeworkCheck ? _reactNative.NativeModules.WithframeworkCheck : new Proxy({}, {
  get() {
    throw new Error(LINKING_ERROR);
  }
});
function loadGame() {
  return WithframeworkCheck.loadGame();
}
//# sourceMappingURL=index.js.map